# ModifyProjectAccountNotifications Method

## Description

Modifies the account notification settings for a project.

## HTTP Request

`PUT https://api.skeddly.com/api/Projects/<id>/Notifications/AccountNotifications`

## URL Parameters

### Id

ID of the project.

Type: `string`

Required: Yes

## Body

The body is a JSON structure with the following properties.&#x20;

### accountNotifications

Indicates whether account notifications should apply to this project.

Type: `string`

Valid Values:

* `allow`
* `block`

Required: Yes

## Returns

A [Project](/data-types/project-object.md) object.

## Sample Request

{% tabs %}
{% tab title="HTTP" %}

```http
PUT /api/Projects/proj-00000001/Notifications/AccountNotifications HTTP/1.1
Host: api.skeddly.com
Authorization: AccessKey <api key>
Content-Type: application/json

{
    "accountNotifications": "block"
}
```

{% endtab %}

{% tab title="Bash" %}

```bash
curl -X PUT "https://api.skeddly.com/api/Projects/proj-00000001/Notifications/AccountNotifications" \
  -H "Authorization: AccessKey <api key>" \
  -d accountNotifications=block
```

{% endtab %}
{% endtabs %}

## Sample Response

```javascript
{
    "projectId": "proj-12345678",
    "name": "My Project",
    "status": "active",
    
    "isDefault": false,
    
    "createdDate": "2022-12-26T12:00:00:Z",
    "lastModifiedDate": "2023-01-26T12:00:00:Z",
    "lastModifiedBy": "u-12345678",
    
    "accountNotifications": "block"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/resources/projects/modifyprojectaccountnotifications-method.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
